#ifndef _Handle_PGeom_Ellipse_HeaderFile
#define _Handle_PGeom_Ellipse_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PGeom_Conic_HeaderFile
#include <Handle_PGeom_Conic.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PGeom_Conic);
class PGeom_Ellipse;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PGeom_Ellipse);

class Handle(PGeom_Ellipse) : public Handle(PGeom_Conic) {
  public:

    Handle(PGeom_Ellipse)():Handle(PGeom_Conic)() {} 
    Handle(PGeom_Ellipse)(const Handle(PGeom_Ellipse)& aHandle) : Handle(PGeom_Conic)(aHandle) 
     {
     }

    Handle(PGeom_Ellipse)(const PGeom_Ellipse* anItem) : Handle(PGeom_Conic)((PGeom_Conic *)anItem) 
     {
     }

    Handle(PGeom_Ellipse)& operator=(const Handle(PGeom_Ellipse)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PGeom_Ellipse)& operator=(const PGeom_Ellipse* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PGeom_Ellipse* operator->() const 
     {
      return (PGeom_Ellipse *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PGeom_Ellipse) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
